#pragma once

namespace os {

    struct global {
        struct memory {
            /// In bytes
            unsigned long long total;
            unsigned long long free;
        };
        memory ram;
        memory swap;
    };
    global GetGlobal();

    struct process {
        unsigned long long memused;
    };
    process GetProcess();
}